# Uses of Interface
org.eclipse.birt.report.model.api.metadata.IPropertyDefn

Packages that use IPropertyDefn
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.core
Represents the fundamental data structures of the user-defined property and the interface of UI listener.
org.eclipse.birt.report.model.api.metadata
Defines the elements, properties, types, structures and slots in the Report Object Model.
org.eclipse.birt.report.model.api.validators
Provides the validation classes for semantic check on multiple properties.
org.eclipse.birt.report.model.metadata
Defines the elements, properties, types, structures and slots in the Report Object Model.

## Uses of IPropertyDefn in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return IPropertyDefn
Modifier and Type
Method
Description
`protected IPropertyDefn`
ComplexValueHandle.`getDefn()`
Returns a definition for the handle.
`IPropertyDefn`
MemberHandle.`getDefn()`
`IPropertyDefn`
PropertyHandleImpl.`getDefn()`
`abstract IPropertyDefn`
SimpleValueHandle.`getDefn()`
Gets the generic property definition.

## Uses of IPropertyDefn in org.eclipse.birt.report.model.api.core

Classes in org.eclipse.birt.report.model.api.core that implement IPropertyDefn
Modifier and Type
Class
Description
`final class`
`UserPropertyDefn`
Represents a user-defined property.

## Uses of IPropertyDefn in org.eclipse.birt.report.model.api.metadata

Subinterfaces of IPropertyDefn in org.eclipse.birt.report.model.api.metadata
Modifier and Type
Interface
Description
`interface`
`IElementPropertyDefn`
Interface of the Meta-data information for an element property or an extension model property.
Methods in org.eclipse.birt.report.model.api.metadata that return IPropertyDefn
Modifier and Type
Method
Description
`IPropertyDefn`
IObjectDefn.`findProperty(String propName)`
Gets a property definition given the property name.
`IPropertyDefn`
IStructureDefn.`getMember(String name)`
Gets a structure member by name.
Methods in org.eclipse.birt.report.model.api.metadata that return types with arguments of type IPropertyDefn
Modifier and Type
Method
Description
`Iterator<IPropertyDefn>`
IObjectDefn.`getPropertyIterator()`
Returns an iterator over the property definitions.
`Iterator<IPropertyDefn>`
IObjectDefn.`propertiesIterator()`
Returns an iterator over the property definitions.
Constructors in org.eclipse.birt.report.model.api.metadata with parameters of type IPropertyDefn
Modifier
Constructor
Description
``
`PropertyValueException(org.eclipse.birt.report.model.core.DesignElement obj, IPropertyDefn propDefn, Object value, String errCode)`
Constructs an exception given the definition of the property, an invalid value and its error code.
``
`PropertyValueException(org.eclipse.birt.report.model.core.DesignElement obj, IPropertyDefn propDefn, IPropertyDefn memberDefn, Object value, String errCode)`
Constructs an exception given the definition of the property, the structure member definition, an invalid value and its error code.

## Uses of IPropertyDefn in org.eclipse.birt.report.model.api.validators

Methods in org.eclipse.birt.report.model.api.validators with parameters of type IPropertyDefn
Modifier and Type
Method
Description
`List<SemanticException>`
SimpleListValidator.`validateForAdding(DesignElementHandle element, IPropertyDefn propDefn, List<Object> list, Object toAdd)`
Validates whether a new item can be added to the simple value list.
`List<SemanticException>`
StructureListValidator.`validateForAdding(DesignElementHandle element, IPropertyDefn propDefn, List<Object> list, IStructure toAdd)`
Validates whether a new structure can be added to structure list.
`List<SemanticException>`
StructureListValidator.`validateForRenaming(DesignElementHandle element, IPropertyDefn propDefn, List<Object> list, IStructure toRenamed, IPropertyDefn memberDefn, String newName)`
Validates whether a structure can be renamed to the given name.

## Uses of IPropertyDefn in org.eclipse.birt.report.model.metadata

Classes in org.eclipse.birt.report.model.metadata that implement IPropertyDefn
Modifier and Type
Class
Description
`class`
`org.eclipse.birt.report.model.metadata.ElementPropertyDefn`
Meta-data information for a property.
`class`
`org.eclipse.birt.report.model.metadata.PropertyDefn`
Base class for both element property and structure member definitions.